Skip to main content
PATCH
Patch Custom Field

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

customFieldId
integer
required

The custom field ID.

Body

application/json
name
string

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

placeholder
string | null

Must not be greater than 255 characters.

Example:

"nssrciatkmatldznkaapj"

hint
string | null

Must not be greater than 255 characters.

Example:

"ptdhyldmarwuvlvyfcejz"

type
enum<string>
Available options:
text,
textarea,
checkbox,
select
Example:

"textarea"

options
string | null

Must not be greater than 255 characters.

Example:

"olbxnqyvzmcgyfpncfyst"

default
string | null

Must not be greater than 255 characters.

Example:

"nonjizoohlpabvwbfbzkw"

regex
string | null

Must not be greater than 255 characters.

Example:

"sewlxtdfjxskykaapbpdx"

is_required
boolean
Example:

true

Response

200